ResourcePath = "Homeopatix/Fisherman/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "Fisherman.tga",
};


function CreateLocalizationInfo()

	Strings = {};
	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Fish";
		Strings.PluginText = "Fisherman Helper";
		Strings.PluginLoisir = "Wirf die Leine";
		Strings.PluginCanneapeche = "Angelrute";
		Strings.PluginHelp = " *** Fisherman Hilfe ***\n\n/show Zeigen Fisherman an\n/hide Verstecke Fisherman\nSie k\195\182nnen Ihre Angelrute im Symbol rechts ziehen und ablegen";

elseif Turbine.Engine.GetLanguage() == 
Turbine.Language.French then
		Strings.PluginName = "Fish";
		Strings.PluginText = "Fisherman Helper";
		Strings.PluginLoisir = "Lancer la ligne";
		Strings.PluginCanneapeche = "Canne \195\160 p\195\170che";
		Strings.PluginHelp = " *** Fisherman Aide ***\n\n/show affiche Fisherman\n/hide cache Fisherman\n\nVous pouvez faire glisser et d\195\169poser votre canne a peche dans l'icon de droite";

elseif Turbine.Engine.GetLanguage() == 
Turbine.Language.English then
		Strings.PluginName = "Fish";
		Strings.PluginText = "Fisherman Helper";
		Strings.PluginLoisir = "Throw the line";
		Strings.PluginCanneapeche = "Fishing rod";
		Strings.PluginHelp = " *** Fisherman Help ***\n\n/show Display Fisherman\n/hide Hide Fisherman\nYou can drag and drop your fishing rod in the icon on the right";
	end
end