
------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
settings = PatchDataLoad(Turbine.DataScope.Character, "Fisherman_Settings", settings);

	if ( type( settings ) ~= "table" ) then
		settings = { };
	end
	
	if ( not settings.positionX) then		
		settings.positionX = ( Turbine.UI.Display:GetWidth()/2 - 200);		
	end
	
	if ( not settings.positionY) then	
		settings.positionY = ( Turbine.UI.Display.GetHeight()/2 - 200);
	end	
	
	if ( not settings.shortcutData_1) then	
		settings.shortcutData_1 = tostring("");
	end	
	
	if ( not settings.shortcutType_1) then	
		settings.shortcutType_1 = 9;
	end
	
	if ( not settings.shortcutData_2) then	
		settings.shortcutData_2 = tostring("");
	end	
	
	if ( not settings.shortcutType_2) then	
		settings.shortcutType_2 = 2;
	end
		
	if ( not settings.minimizeX) then	
		settings.minimizeX = 1918;
	end

	if ( not settings.minimizeY) then	
		settings.minimizeY = 1249;
	end
	
	if ( not settings.isMinimizeEnabled) then	
		settings.isMinimizeEnabled = true;
	end

	if ( not settings.isWindowVisible) then	
		settings.isWindowVisible = true;
	end
	
	if ( not settings.primaryWeapon) then	
		settings.primaryWeapon = tostring("");
	end
	
	if ( not settings.secondaryWeapon) then	
		settings.secondaryWeapon = tostring("");
	end
	
	if ( not settings.isFishRodEquiped) then	
		settings.isFishRodEquiped = false;
	end

end