
FishermanCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function FishermanCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the Fisherman Window");
		FishermanWindow:SetVisible(true);
		settings.isWindowVisible = true;
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the Fisherman Window");
		FishermanWindow:SetVisible(false);
		settings.isWindowVisible = false;
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine("clear the Fisherman Window");
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Fish;Fisherman", FishermanCommand );

